<?xml version="1.0" encoding="utf-8"?>
<page xmlns="http://projectmallard.org/1.0/" xmlns:its="http://www.w3.org/2005/11/its" xmlns:xi="http://www.w3.org/2001/XInclude" type="guide" style="task" id="GtkApplicationWindow.vala" xml:lang="cs">
  <info>
  <title type="text">ApplicationWindow (Vala)</title>
    <link type="guide" xref="beginner.vala#windows"/>
    <revision version="0.1" date="2012-04-07" status="stub"/>

    <credit type="author copyright">
      <name>Tiffany Antopolski</name>
      <email its:translate="no">tiffany.antopolski@gmail.com</email>
      <years>2012</years>
    </credit>

    <desc>Podtřída GtkWindow s podporou GtkApplication</desc>
  </info>

  <title>ApplicationWindow</title>
  <media type="image" mime="image/png" src="media/window.png"/>
  <p>Nejjednodušší okno GtkApplication, které umí podporovat nabídky.</p>

<code mime="text/x-csharp" style="numbered">
/* Toto je aplikace */
public class MyApplication : Gtk.Application {
	/* Přepíše signál 'activate' z GLib.Application. */
	protected override void activate () {
		/* Vytvoří okno této aplikace a zobrazí jej. */
		var window = new Gtk.ApplicationWindow (this);
		window.title = "Welcome to GNOME";
		window.show ();
	}
}

/* main vytvoří a spustí aplikaci */
public int main (string[] args) {
	return new MyApplication ().run (args);
}
</code>
<p>V této ukázce se používá následující:</p>
<list>
  <item><p><link href="http://www.valadoc.org/gtk+-3.0/Gtk.Application.html.content.tpl">Gtk.Application</link></p></item>
  <item><p><link href="http://www.valadoc.org/gtk+-3.0/Gtk.ApplicationWindow.html">Gtk.ApplicationWindow</link></p></item>
</list>
</page>
